Subject: Re: [ofa-general] Re: IPoIB forwarding

From: Rick Jones <[email-masked]>
Date: Fri, 27 Apr 2007 16:37:49 -0700

Bryan Lawver wrote:
> I had so much debugging turned on that it was not the "slowing of the 
> traffic" but the "non-coelescencing" that was the remedy.  The NIC is a 
> MyriCom NIC and these are easy options to set.

As chance would have it, I've played with some Myricom myri10ge NICs recently, 
and even disabled large receive offload during some netperf tests :)  It is a 
modprobe option.  Going back now to the driver source and the README I see :-)

<excerpt>
Troubleshooting
===============

Large Receive Offload (LRO) is enabled by default.  This will
interfere with forwarding TCP traffic.  If you plan to forward TCP
traffic (using the host with the Myri10GE NIC as a router or bridge),
you must disable LRO.  To disable LRO, load the myri10ge driver
with myri10ge_lro set to 0:

          # modprobe myri10ge myri10ge_lro=0

Alternatively, you can disable LRO at runtime by disabling
receive checksum offloading via ethtool:

    # ethtool -K eth2 rx off

</excerpt>

rick jones